Subject: Re: [RFC] Device tree for new desktop platform in arch/powerpc

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 22 Jun 2007 18:16:31 +1000

On Fri, 2007-06-22 at 09:52 +0200, Segher Boessenkool wrote:
> >> The "#address-cells" property should be completely absent,
> >> even; for interrupt matching, that means "treat as 0, no
> >> unit address used in interrupt mapping, just the interrupt
> >> number", and for the "normal" purpose (defining the format
> >> of devices on the bus rooted at / represented by this node)
> >> it means "there is no such bus" -- this is different from
> >> #address-cells = 0.
> >
> > I'd rather have it present and explicitely set to 0,
> 
> It is not the "right thing" to do, but should be harmless
> in most situations.

It's pretty much the right thing to do in that case imho... based on the
assumption that a common practice is worth 10 standards :-)

(I think I could even quote Linus on that one, let's just say that I
totally agree with him on those matters, I'd rather have people
"standardize" around existing common practices that happen to also work
well with existing code rather than doing differently because that's
what a 10 yrs old unmaintained piece of pdf says should be done :-)

Ben.